INTERFACE
SUBROUTINE EXTGPF (KFIELDS,YD_PGPBUF,KFLDPTP,KSTAF,PREALG,KNFL,KDIMG,KNFD,&
 & KFLDOFF,LDCOM) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NPROMA
USE YOMGEM , ONLY : NGPTOT ,NGPTOTMX
USE GRIDPOINT_BUFFERS_MIX , ONLY : GRIDPOINT_BUFFER
USE YOMCT0 , ONLY : NPROC
TYPE(GRIDPOINT_BUFFER),INTENT(IN) :: YD_PGPBUF
INTEGER(KIND=JPIM),INTENT(IN) :: KNFL
INTEGER(KIND=JPIM),INTENT(IN) :: KDIMG
INTEGER(KIND=JPIM),INTENT(IN) :: KFIELDS
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDPTP(YD_PGPBUF%IFIELDS)
INTEGER(KIND=JPIM),INTENT(IN) :: KSTAF
REAL(KIND=JPRB) ,INTENT(OUT) :: PREALG(KDIMG,KNFL)
INTEGER(KIND=JPIM),INTENT(IN) :: KNFD(NPROC)
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDOFF(NPROC)
LOGICAL ,INTENT(IN) :: LDCOM
END SUBROUTINE EXTGPF
END INTERFACE
